//
//  ViewController.swift
//  AgeCalculator
//
//  Created by Macintosh HD on 8/1/18.
//  Copyright © 2018 Macintosh HD. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var lblAge: UILabel!
    @IBOutlet weak var datePicker: UIDatePicker!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


    @IBAction func btnCalculateHandler (_ sender: UIButton)
    {
        //get selected date from date picker
        let birthDate = self.datePicker.date
        
        //get today date
        let today = Date()
        
        //check our birth date is earlier than today
        if birthDate >= today
        {
            //display error and return
            let alertView = UIAlertController(title: "Error", message: "Please enter a valid date", preferredStyle: .alert)
            
            let action = UIAlertAction(title: "OK", style: .default, handler: nil)
            
            alertView.addAction(action)
            
            self.present(alertView, animated: false, completion: nil)
            
            return
        }
        
        
        //create an instance of the user's current calendar
        let calendar = Calendar.current
        
        //use calendar to get difference between two dates
        let components = calendar.dateComponents([.year, .month, .day], from: birthDate, to: today)
        
        let ageYears = components.year
        let ageMonths = components.month
        let ageDays = components.day
        
        //display age in label
        self.lblAge.text = "\(ageYears!) years, \(ageMonths!) months, \(ageDays!) days"
        
    }
}

